Noserver.parrot.biz : Name or service not known

Hi,

I cannot build mission for real drone as the signing archive fail because can’t connect to noserver.parrot.biz. Here is the error I got :

[I] Signing archive with key: ecdsa:remote:classic/key.pem
[I] In '/home/cllebi/XXX/airsdk': /home/cllebi/XXX/airsdk/build/dragon_buildext_sign/sign.py --name signature.ecdsa --filenames 'mission.json;payload.tar.gz' --key ecdsa:remote:classic/key.pem --hash sha512 /tmp/missions-tdhthvew/com.parrot.missions.samples.hello.tar
Traceback (most recent call last):
  File "/home/cllebi/.local/lib/python3.8/site-packages/urllib3/connection.py", line 169, in _new_conn
    conn = connection.create_connection(
  File "/home/cllebi/.local/lib/python3.8/site-packages/urllib3/util/connection.py", line 73, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  File "/usr/lib/python3.8/socket.py", line 918, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/cllebi/.local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "/home/cllebi/.local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 382, in _make_request
    self._validate_conn(conn)
  File "/home/cllebi/.local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 1010, in _validate_conn
    conn.connect()
  File "/home/cllebi/.local/lib/python3.8/site-packages/urllib3/connection.py", line 353, in connect
    conn = self._new_conn()
  File "/home/cllebi/.local/lib/python3.8/site-packages/urllib3/connection.py", line 181, in _new_conn
    raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x7f46abca3370>: Failed to establish a new connection: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/cllebi/.local/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/home/cllebi/.local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "/home/cllebi/.local/lib/python3.8/site-packages/urllib3/util/retry.py", line 574, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='noserver.parrot.biz', port=443): Max retries exceeded with url: /ecdsaremote/cgi-bin/ecdsaremote.cgi?action=info&key=classic%2Fkey.pem (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f46abca3370>: Failed to establish a new connection: [Errno -2] Name or service not known'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/cllebi/XXX/airsdk/build/dragon_buildext_sign/sign.py", line 368, in <module>
    main()
  File "/home/cllebi/XXX/airsdk/build/dragon_buildext_sign/sign.py", line 364, in main
    sign_archive(options.archive, options.name, filenames, provider, hash_func)
  File "/home/cllebi/XXX/airsdk/build/dragon_buildext_sign/sign.py", line 292, in sign_archive
    info = provider.get_info()
  File "/home/cllebi/XXX/build/dragon_buildext_sign/sign.py", line 124, in get_info
    response = requests.get(self.url, params={
  File "/home/cllebi/.local/lib/python3.8/site-packages/requests/api.py", line 76, in get
    return request('get', url, params=params, **kwargs)
  File "/home/cllebi/.local/lib/python3.8/site-packages/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/home/cllebi/.local/lib/python3.8/site-packages/requests/sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/cllebi/.local/lib/python3.8/site-packages/requests/sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "/home/cllebi/.local/lib/python3.8/site-packages/requests/adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='noserver.parrot.biz', port=443): Max retries exceeded with url: /ecdsaremote/cgi-bin/ecdsaremote.cgi?action=info&key=classic%2Fkey.pem (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f46abca3370>: Failed to establish a new connection: [Errno -2] Name or service not known'))

Any ideas ?
Best,
Clément

I’ve got the same problem to extract log from bin :

python logextract.py ~/Downloads/log-20-0E447-20220511T101631+0200.bin.bin -o logs
[I] Source: id=256 version=3 plugin='internal' name='header'
[I] Merge ulog files
[E] File corrupted: Failed to decrypt aes key: HTTPSConnectionPool(host='noserver.parrot.biz', port=443): Max retries exceeded with url: /?action=decrypt&key=241c65f5b9d92e867a31d2ed5b4fc6e7fd47bceb6279cfd5f1bb6a56cf6f16aa&input=75f3a28aa9a9fe4637a65a6881ec7d8f294d9df8cc904a23c4636be4a6fe0cb9d6c8a7e9e80fd4233b27795becc9889a54aea76602b14d55336df5a9f4b2526574bb4370b63b4d7b2ee51f9ea3f883771771f216fa6e9da026d117280f2cd43b88794789c5edc0a3b03970dedb4061bfad0f77bf4abfba04d79bffe98020f7f663ab248b0d8e7e98f096bdcf059301547964925c7b865fbfcbd89c7979265fb85aaf143f254f7d8958d2751a7348117f201cfeca675a5fac7efeeb20c90d942a894de1e99ebc00e5e (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f2c5f7c3dc0>: Failed to establish a new connection: [Errno -2] Name or service not known'))
1 Like

Hi,

the reference to noserver.parrot.biz is a placeholder for our internal signature/decryption server that is removed from public scripts.

Concerning the signature of mission the local and aws kms methods are the one that works.

The logs of a real drone are encrypted by default and unless it has a debuggable certificate they won’t be readable.

YMM

Hi @ymorgan,

Ok so I should’nt follow doc instruction when it says Then fill the key parameter in products/hello/classic/config/product_config.json with edcsa:remote:classic/key.pem ? I should use edcsa:local:classic instead ?

Thank you for your answer about logs. So If I understand, I cannot get log from Anafi AI that I bought ??